package cn.yyxx.commsdk.core.utils;

import android.content.Context;

import cn.yyxx.support.PropertiesUtils;

public class ParamsUtils {
    private static String  CONFIG_FILE  =  "yyxx_cfg.properties";
    private static String  YYXX_COMM_GAME_CODE  =  "YYXX_COMM_GAME_CODE";
    private static String  YYXX_GCP_CODE  =  "YYXX_GCP_CODE";

    private static String  YYXX_ONLINE_ENV  =  "YYXX_ONLINE_ENV";

    private static String  YYXX_PLATFORM  =  "YYXX_PLATFORM";




    private static String ASSETS_PATH = "yyxx_game";
    public static String getGameCode(Context context){

         return ManifestUtils.getMetaDataValue(context,YYXX_COMM_GAME_CODE);
    }
    public static String getGcpCode(Context context){
        return PropertiesUtils.getValue4Properties(context,CONFIG_FILE,ASSETS_PATH,YYXX_GCP_CODE);
    }
    public static String getHost(Context context){
        return PropertiesUtils.getValue4Properties(context,CONFIG_FILE,ASSETS_PATH, YYXX_ONLINE_ENV);
    }
    public static String getChannelName(Context context){
        return PropertiesUtils.getValue4Properties(context,CONFIG_FILE,ASSETS_PATH, YYXX_PLATFORM);
    }
}
